﻿/* Columna personalizadas para pantallas pequeñas (>= 576px) */
@media (min-width: 576px) {
    .custom-col-sm-1 {
        width: 8.33%;
    }

    .custom-col-sm-2 {
        width: 16.66%;
    }

    .custom-col-sm-3 {
        width: 25%;
    }

    .custom-col-sm-4 {
        width: 33.33%;
    }

    .custom-col-sm-5 {
        width: 41.66%;
    }

    .custom-col-sm-6 {
        width: 50%;
    }

    .custom-col-sm-7 {
        width: 58.33%;
    }

    .custom-col-sm-8 {
        width: 66.66%;
    }

    .custom-col-sm-9 {
        width: 75%;
    }

    .custom-col-sm-10 {
        width: 83.33%;
    }

    .custom-col-sm-11 {
        width: 91.66%;
    }

    .custom-col-sm-12 {
        width: 100%;
    }
}

/* Columna personalizadas para pantallas medianas (>= 768px) */
@media (min-width: 992px) {
    .custom-col-md-1 {
        width: 8.33%;
    }

    .custom-col-md-2 {
        width: 16.66%;
    }

    .custom-col-md-3 {
        width: 25%;
    }

    .custom-col-md-4 {
        width: 33.33%;
    }

    .custom-col-md-5 {
        width: 41.66%;
    }

    .custom-col-md-6 {
        width: 50%;
    }

    .custom-col-md-7 {
        width: 58.33%;
    }

    .custom-col-md-8 {
        width: 66.66%;
    }

    .custom-col-md-9 {
        width: 75%;
    }

    .custom-col-md-10 {
        width: 83.33%;
    }

    .custom-col-md-11 {
        width: 91.66%;
    }

    .custom-col-md-12 {
        width: 100%;
    }
}

/* Columna personalizadas para pantallas grandes (>= 992px) */
@media (min-width: 1450px) {
    .custom-col-lg-1 {
        width: 8.33%;
    }

    .custom-col-lg-2 {
        width: 16.66%;
    }

    .custom-col-lg-3 {
        width: 25%;
    }

    .custom-col-lg-4 {
        width: 33.33%;
    }

    .custom-col-lg-5 {
        width: 41.66%;
    }

    .custom-col-lg-6 {
        width: 50%;
    }

    .custom-col-lg-7 {
        width: 58.33%;
    }

    .custom-col-lg-8 {
        width: 66.66%;
    }

    .custom-col-lg-9 {
        width: 75%;
    }

    .custom-col-lg-10 {
        width: 83.33%;
    }

    .custom-col-lg-11 {
        width: 91.66%;
    }

    .custom-col-lg-12 {
        width: 100%;
    }
}

/* General column styles */
.custom-col {
    display: inline-block;
    padding: 0 15px;
    box-sizing: border-box; /* Para incluir el padding en el ancho total */
}

label {
   
    text-overflow: ellipsis; /* Muestra "..." si el texto es demasiado largo */
}

@@media (max-width: 576px) {
    label {
        font-size: smaller; /* Reduce el tamaño del texto en pantallas pequeñas */
    }
}